import request from '@/utils/request'

// 查询月销售目标填报列表
export function listMonthSaleGoal(query) {
  return request({
    url: '/goal_management/monthSaleGoal/list',
    method: 'get',
    params: query
  })
}

// 查询月销售目标填报详细
export function getMonthSaleGoal(id) {
  return request({
    url: '/goal_management/monthSaleGoal/' + id,
    method: 'get'
  })
}

// 新增月销售目标填报
export function addMonthSaleGoal(data) {
  return request({
    url: '/goal_management/monthSaleGoal',
    method: 'post',
    data: data
  })
}

// 修改月销售目标填报
export function updateMonthSaleGoal(data) {
  return request({
    url: '/goal_management/monthSaleGoal',
    method: 'put',
    data: data
  })
}

// 删除月销售目标填报
export function delMonthSaleGoal(id) {
  return request({
    url: '/goal_management/monthSaleGoal/' + id,
    method: 'delete'
  })
}
